
// [ particle2.h :::::::::::::::::::::::: ] //

/* memo	:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
	game object will ask this brain for their next move
	player tank will ask user what to do

	IMPORTANT::
	I hav all 4 types of particles sharing the same class, rather then inhereting,,
	since :: no much difference, so confusion is tolerable
	BUT, REMEMBER THAT:
	when initial -->	1. set type
						2. set all common variables and its special variables

	please initial all particle with health > 3, so it can fly out of gun,, then hit detect
	:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
*/

#ifndef _PARTICLE2_H
#define _PARTICLE2_H

// ------------------------------------------------------------------------------------------------
#include "HT_Global.h"
#include "Textures.h"

class Particledust
{
	// particle is moving since born,,
public:
	// :: variable ::
	WORLD_COOR pos;
	FACING facing;
	// may be : the angle to camera... for billboard
	int type;
	float speed;

	//COGLTexture dust;
	//COGLTexture dustMASK;

	float health;

	// here's how it works.. at every frame,, it asks brain for it's newpos.
	// then it trymoves to the newpos --- well,, if not,, maybe turn a bit..

	Particledust(WORLD_COOR pos, int type);
	// :: function ::
	void processAction();
	void move();
	void animate();

	void drawParticle();
};

// ------------------------------------------------------------------------------------------------
#endif /* particle.h */
