#include "obj_MenuBack.h"

float fv_Color_base[3] = {0,0,0.5};
float fv_Color_silver[3] = {0.7,0.7,0.7};

MenuBack::MenuBack()
{
	obj_shell2.loadObj("obj/debris/BS_2.obj");
	obj_shell1.loadObj("obj/debris/BS_1.obj");
	MB_Init();
	MB_CDL();
}

bool MenuBack::MB_Init()
{
	f_Rx = rand()%360;
	f_Ry = rand()%360;
	f_Rz = rand()%360;
	
	f_RxSpeed = rand()%5/3.0;
	f_RySpeed = rand()%5/3.0;
	f_RzSpeed = rand()%5/3.0;
	
	f_Posx = 100-(float)(rand()%200);
	f_Posy = rand()%1000;
	f_Posz = 200.0-rand()%200;
	f_PosyFall = (float)(rand()%10)/50.0 + 1.0;
	
	f_A = 1.0;
	
	ROTATE_counter = 0.0;
	LIFE_counter = 0.0;
	FALL_counter = 0.0;
	return true;
}
void MenuBack::MB_CDL()
{
	 // Track0
	 glNewList(Dlid_shell, GL_COMPILE);
	 glPushMatrix();
	 glScalef(0.08,0.08,.08);
	 obj_shell1.displayObj();
	 obj_shell2.displayObj();
	 glPopMatrix();
	 glEndList();
}

void MenuBack::MB_Display()
{	
	glEnable(GL_LIGHTING);
	float white[4] = {1, 1, 1, 1.0};
	glLightfv(GL_LIGHT0, GL_DIFFUSE, white);
	glLightfv(GL_LIGHT0, GL_SPECULAR, white);


	glPushMatrix();
		glTranslatef(f_Posx, f_Posy, f_Posz);

		//glutSolidCube(10);
		
		glRotatef(f_Rx+90, 1,0,0);
		glRotatef(f_Ry, 0,1,0);
		glRotatef(f_Rz, 0,0,1);
	
		glColor4f(1,	0.1,	0, 1);
		glCallList(Dlid_shell);
	glPopMatrix();
}


