#include "modelDrawing.h"

//////// JEEP
C3DS_ObjectLoader MD_EJ_W,
MD_EJ_CAR,
MD_EJ_LIGHT,
MD_EJ_WHEEL,
MD_EJ_WIN;

//////// The MAMMOTH
C3DS_ObjectLoader EMM_BASE_R,
EMM_GUN,
EMM_GUN_R,
EMM_MB_B,
EMM_TOP_R,
EMM_TOP_W,
EMM_TRACK_B,
EMMW,
EMMB,
EMMR;

//////// Abram Tank
C3DS_ObjectLoader EM1_BASE,
EM1_BASEB,
EM1_TOP,
EM1_TOPB,
EM1_GUN,
EM1_GUNB;


//////// shell
C3DS_ObjectLoader MD_Shell;
//////// missle
C3DS_ObjectLoader MD_MISSILE;
//////// world decroration
C3DS_ObjectLoader MD_CAC, MD_F, MD_HE, MD_PARK, MD_S, MD_STOP, MD_ZHAO;

//////// blocks ::D

C3DS_ObjectLoader MD_R, MD_NR;

void MD_Init()
{
	MD_EJ_W.Init("obj/Enemy/EJ.3DS");
	MD_EJ_CAR.Init("obj/Enemy/EJ_CAR.3DS");
	MD_EJ_LIGHT.Init("obj/Enemy/EJ_LIGHT.3DS");
	MD_EJ_WHEEL.Init("obj/Enemy/EJ_WHEEL.3DS");
	MD_EJ_WIN.Init("obj/Enemy/EJ_WIN.3DS");

	EMM_BASE_R.Init("obj/Enemy/EMM_BASE_R.3DS");
	EMM_GUN.Init("obj/Enemy/EMM_GUN.3DS");
	EMM_GUN_R.Init("obj/Enemy/EMM_GUN_R.3DS");
	EMM_MB_B.Init("obj/Enemy/EMM_MB_B.3DS");
	EMM_TOP_R.Init("obj/Enemy/EMM_TOP_R.3DS");
	EMM_TOP_W.Init("obj/Enemy/EMM_TOP_W.3DS");
	EMM_TRACK_B.Init("obj/Enemy/EMM_TRACK_B.3DS");
	EMMB.Init("obj/Enemy/EMMB.3DS");
	EMMR.Init("obj/Enemy/EMMR.3DS");
	EMMW.Init("obj/Enemy/EMMW.3DS");

	EM1_BASE.Init("obj/Enemy/EM1_BASE.3DS");
	EM1_BASEB.Init("obj/Enemy/EM1_BASEB.3DS");
	EM1_TOP.Init("obj/Enemy/EM1_TOP.3DS");
	EM1_TOPB.Init("obj/Enemy/EM1_TOPB.3DS");
	EM1_GUN.Init("obj/Enemy/EM1_GUN.3DS");
	EM1_GUNB.Init("obj/Enemy/EM1_GUNB.3DS");

	MD_Shell.Init("obj/weapon/shell.3DS");

	MD_R.Init("obj/ROOF.3DS");
	MD_NR.Init("obj/NOTROOF.3DS");
	MD_MISSILE.Init("obj/weapon/MISS.3DS");

	MD_CAC.Init("obj/world/cactus.3DS");
	MD_F.Init("obj/world/F_MF.3DS");
	MD_HE.Init("obj/world/S_he.3DS");
	MD_PARK.Init("obj/world/S_park.3DS");
	MD_S.Init("obj/world/S_S.3DS");
	MD_STOP.Init("obj/world/S_stop.3DS");
	MD_ZHAO.Init("obj/world/S_zhao.3DS");
}

void MD_EJ()
{
	MD_EJ_CAR.Draw();
	MD_EJ_LIGHT.Draw();
	MD_EJ_WHEEL.Draw();
	MD_EJ_WIN.Draw();
}

void MD_EMM(float hor, float ver)
{
	glPushMatrix();
	glScalef(0.5,0.5,-0.5);
	//EMM_TRACK_B.Draw();
	//EMM_BASE_R.Draw();
	//glPushMatrix();
	//glRotatef(hor,0,1,0);
	//EMM_MB_B.Draw();
	//EMM_TOP_R.Draw();
	//EMM_TOP_W.Draw();
	//glPushMatrix();
	//glRotatef(ver,1,0,0);
	//EMM_GUN.Draw();
	//EMM_GUN_R.Draw();
	//glPopMatrix();
	//glPopMatrix();

	glPushMatrix();
	glTranslatef(-1,0,0);
	EMMR.Draw();
	glPopMatrix();
	glPushMatrix();
	glTranslatef(0,3,0);
	EMMB.Draw();
	glPopMatrix();
	glPushMatrix();
	glTranslatef(1,0,0);
    EMMW.Draw();
	glPopMatrix();
		glPopMatrix();
}

void MD_EM1(float hor, float ver)
{
	glPushMatrix();
	glScalef(1,1,1);
	EM1_BASE.Draw();
	EM1_BASEB.Draw();
	glRotatef(hor,0,1,0);
	EM1_TOP.Draw();
	EM1_TOPB.Draw();
	//glTranslatef(0,1.156,-0.856);
	//glRotatef(-30,1,0,0);
	//glTranslatef(0,-1.156,0.856);
	EM1_GUN.Draw();
	EM1_GUNB.Draw();

	glPopMatrix();





}

void MD_SH()
{
	glPushMatrix();
	glScalef(2,2,2);
	MD_Shell.Draw();
	glPopMatrix();

}
void MD_BLOCK()
{
	MD_NR.Draw();
	MD_R.Draw();

}
void MD_MISS()
{
	MD_MISSILE.Draw();
}
